MPATH_PERSISTENT_RESERVE_IN(3)

NAME
mpath_persistent_reserve_in

SYNOPSIS
#include <mpath_persist.h>

int mpath_persistent_reserve_in (int fd, int rq_servact, struct prin_resp *resp, int noisy, int verbose)

DESCRIPTION
The function in the mpath_persistent_reserve_in() sends PRIN command to the DM device and gets the response.
Parameters:
fd The file descriptor of a multipath device. Input argument.
rq_servact PRIN command service action. Input argument
resp The response from PRIN service action. The caller should manage the memory allocation of this structure
noisy Turn on debugging trace: Input argument. 0->Disable, 1->Enable
verbose Set verbosity level. Input argument. value:[0-3]. 0->Crits and Errors, 1->Warnings, 2->Info, 3->Debug

RETURNS
MPATH_PR_SUCCESS if PR command successful
MPATH_PR_SYNTAX_ERROR if syntax error or invalid parameter
MPATH_PR_SENSE_NOT_READY if command fails with [sk,asc,ascq: 0x2,*,*]
MPATH_PR_SENSE_MEDIUM_ERROR if command fails with [sk,asc,ascq: 0x3,*,*]
MPATH_PR_SENSE_HARDWARE_ERROR if command fails with [sk,asc,ascq: 0x4,*,*]
MPATH_PR_SENSE_INVALID_OP if command fails with [sk,asc,ascq: 0x5,0x20,0x0]
MPATH_PR_ILLEGAL_REQ if command fails with [sk,asc,ascq: 0x5,*,*]
MPATH_PR_SENSE_UNIT_ATTENTION if command fails with [sk,asc,ascq: 0x6,*,*]
MPATH_PR_SENSE_ABORTED_COMMAND if command fails with [sk,asc,ascq: 0xb,*,*]
MPATH_PR_NO_SENSE if command fails with [sk,asc,ascq: 0x0,*,*]
MPATH_PR_SENSE_MALFORMED if command fails with SCSI command malformed
MPATH_PR_FILE_ERROR if command fails while accessing file (device node) problems(e.g. not found)
MPATH_PR_DMMP_ERROR if Device Mapper related error.(e.g Error in getting dm info)
MPATH_PR_OTHER if other error/warning has occurred(e.g transport or driver error)

SEE ALSO
mpath_persistent_reserve_out mpathpersist /usr/share/doc/mpathpersist/README